import Vue from 'vue'
import App from './App'
import './framework/bootstrap'
import Api from "./common/js/api.js"
import store from './store'
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
Vue.config.productionTip = false
Vue.prototype.$store = store
App.mpType = 'app'
Vue.prototype.navfatherMethod = function() {
	uni.navigateBack();
}
Vue.prototype.$onLaunched = new Promise(resolve => {
	Vue.prototype.$isResolve = resolve
})
Vue.prototype.api = Api;
const app = new Vue({
	store,
	...App,
})

app.$mount()